<?php
defined('ABSPATH') || exit;

$id = isset($id) ? $id : null;

if (!$id) {
    throw new Exception('Empty wizard id');
}

use WCProductsWizard\Settings;

$defaults = [
    'id' => $id,
    'emptyCartMessage' => Settings::getPost($id, 'empty_cart_message')
];

$arguments = isset($arguments) ? array_replace($defaults, $arguments) : $defaults;
?>
<div class="woocommerce-products-wizard-message empty-cart woocommerce-info"
    aria-live="polite"><?php
    echo wp_kses_post($arguments['emptyCartMessage']);
    ?></div>
