<?php
defined('ABSPATH') || exit;

$defaults = [
    'class' => '',
    'state' => '',
    'action' => '',
    'id' => '',
    'name' => '',
    'formId' => ''
];

$arguments = isset($arguments) ? array_replace($defaults, $arguments) : $defaults;
?>
<button role="tab"
    class="woocommerce-products-wizard-nav-button btn btn-default btn-light btn-block <?php
    echo esc_attr($arguments['class']);
    ?>"<?php
    echo $arguments['state'] == 'disabled' ? ' disabled="disabled"' : '';
    ?>
    form="<?php echo esc_attr($arguments['formId']); ?>"
    name="<?php echo esc_attr($arguments['action']); ?>"
    value="<?php echo esc_attr($arguments['id']); ?>"
    data-component="wcpw-nav-item"
    data-nav-action="<?php echo esc_attr($arguments['action']); ?>"
    data-nav-id="<?php echo esc_attr($arguments['id']); ?>"><?php
    echo wp_kses_post($arguments['name']);
    ?></button>
