<?php
defined('ABSPATH') || exit;

$defaults = [
    'product' => null,
    'class' => 'woocommerce-products-wizard-form-item'
];

$arguments = isset($arguments) ? array_replace($defaults, $arguments) : $defaults;

$priceHtml = $arguments['product']->get_price_html();
?>
<label class="<?php
    echo ($arguments['product']->get_price() == 0 ? 'is-zero-price ' : '') . esc_attr($arguments['class']);
    ?>-price"
    for="woocommerce-products-wizard-form-item-choose-<?php echo esc_attr($arguments['product']->get_id()); ?>"
    data-component="wcpw-product-price"
    data-default="<?php echo esc_attr($priceHtml); ?>">
    <?php echo wp_kses_post($priceHtml); ?>
</label>
<!--spacer-->